void sdsave()
{esp_task_wdt_reset();//reset WDT
  //String timerdata={"timer1":["01:00","09:00","10:00","11:00","","","","","",""],"timer2":[
// String timerweek={"id":"week","timer1_week":"0111100","timer2_week":"1000011","timer3_week":"0101010"};
//timerout= {"id":"tout","t1":"100","t2":"010","t3":"001"}
  writeFile(SD, "/thkom1.txt", jsonString2.c_str());//записываем в этот файл последние данные для счит после сброса
  writeFile(SD, "/thku1.txt", jsonString.c_str());//записываем в этот файл последние данные NOW + EpochTime для счит после сброса
  writeFile(SD, "/output.txt", jsonStringout.c_str());//записываем в этот файл последние данные для счит после сброса
  //String jsonStringout= "{"id":"out","out1":"101"}";// 0-выкл  1-вкл
   writeFile(SD, "/timerd.txt", timerdata.c_str());//записываем в этот файл значения для таймера
   //String timerdata={"timer1":["01:00","09:00","10:00","11:00","","","","","",""],"timer2":[
    writeFile(SD, "/week.txt", timerweek.c_str());//записываем в этот файл значения недельного таймера
    // String timerweek={"id":"week","timer1_week":"0111100","timer2_week":"1000011","timer3_week":"0101010"};
    writeFile(SD, "/tdout.txt", timerout.c_str());//записываем в этот файл значения выходов таймера timerout
    //timerout= {"id":"tout","t1":"100","t2":"010","t3":"001"}
     writeFile(SD, "/akva.txt", jsonStringakva.c_str());//записываем в этот файл значения температуры аквариума
   //  Serial.println ("sdsave OK");
}
